## org.gnu.gtk
Class Fixed

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Fixed

public class Fixed
extends Container

The Fixed container enables your program to place widgets at a fixed location with fixed sizes in pixels and to move widgets from one location to another. Most applications should not use this container. This container could result in truncated text, overlapping widgets and other display bugs as the user changes their themes, fonts, or preferences.

Constructor Summary
`Fixed()` Construct a new Fixed object.
`Fixed(org.gnu.glib.Handle handle)` Construct a new Fixed from a handle to a native resource.

Method Summary
`static Fixed` `getFixed(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `moveWidget(Widget widget, int x, int y)` Move a widget to a new location.
`void` `putWidget(Widget widget, int x, int y)` Add a Widget to the Fixed at the specified location.

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getEventListenerClass, getEventType, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Fixed

    public Fixed()

  Construct a new Fixed object.

### Fixed

    public Fixed(org.gnu.glib.Handle handle)

  Construct a new Fixed from a handle to a native resource.

Method Detail

### getFixed

    public static Fixed getFixed(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### putWidget

    public void putWidget(Widget widget,
                          int x,
                          int y)

  Add a Widget to the Fixed at the specified location.

### moveWidget

    public void moveWidget(Widget widget,
                           int x,
                           int y)

  Move a widget to a new location.

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.